pkg libphp

vadim64

New Member


Messages: 16

Hi, all!

I have trouble with installing PHP using pkg.

Code:
root@current00:/usr/local/libexec/apache22 # pkg install apache22
Updating repository catalogue
apache22-2.2.26 already installed
root@current00:/usr/local/libexec/apache22 # pkg install php5
Updating repository catalogue
php5-5.4.23 already installed
root@current00:/usr/local/libexec/apache22 # pkg info | grep apache
apache22-2.2.26                Version 2.2.x of Apache web server with prefork MPM.
root@current00:/usr/local/libexec/apache22 # pkg info | grep php
php5-5.4.23                    PHP Scripting Language
php5-mysql-5.4.23              The mysql shared extension for php
php5-session-5.4.23            The session shared extension for php
phpminiadmin-1.5.091221        Lightweight alternative to phpMyAdmin
root@current00:/usr/local/libexec/apache22 # find / | grep libphp
root@current00:/usr/local/libexec/apache22 #

So, apache22 and php5 already installed. But I can not find and load a PHP module to Apache.

What is my mistake?
 

SirDice

Administrator
Staff member
Administrator
Moderator

Reaction score: 12,744
Messages: 39,332

The package doesn't have it. You have to build lang/php5 from ports to get the Apache module.
 
OP
V

vadim64

New Member


Messages: 16

Ok. Thank you. I'll build from port, no problem.
By the way: in future that will be fixed or it is impossible?
 

SirDice

Administrator
Staff member
Administrator
Moderator

Reaction score: 12,744
Messages: 39,332

Maybe. The problem is that we have multiple servers that can use PHP. The module needs to be compiled specifically for each one. That''s something the current system cannot do.
 
Top